Subject: Re: [ippm] draft-gandhi-spring-sr-enhanced-plm / draft-gandhi-spring-stamp-srpm

From: "Rakesh Gandhi (rgandhi)" <[email-masked]>
Date: Mon, 27 Jul 2020 18:18:25 +0000

Hi Thomas,

Please see replies inline with <RG>…

From: <[email-masked]>
Date: Monday, July 27, 2020 at 8:49 AM
To: "=SMTP:rgandhi@cisco. com" <[email-masked]>
Cc: <[email-masked]>
Subject: draft-gandhi-spring-sr-enhanced-plm / draft-gandhi-spring-stamp-srpm

Hi Rakesh,

Thanks for the presentations at spring wg.

For clarification, I assume that the controller will be able to orchestrate and collect the results of the STAMP probes with netconf-yang/yang push based on draft-ietf-ippm-stamp-yang. Correct?

<RG> draft-ietf-ippm-stamp-yang supports Netconf/Yang using a STAMP session ID. Controller can use the STAMP session ID of an SR Path for this purpose.

If yes, I assume that the STAMP extensions described in draft-gandhi-spring-stamp-srpm will be integrated into draft-ietf-ippm-stamp-yang?

<RG> Some SR specific extension may be needed for draft-ietf-ippm-stamp-yang in future.

 Is there a open source implementation, proof of code I could look at?

<RG> I am not aware of it.  Adding IPPM WG in case there exists one.

Thanks,

Rakesh

Best Wishes

Thomas